# valarray File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file valarray.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _DEFINE_BINARY_OPERATOR(_Op, _Name)
- #define _DEFINE_VALARRAY_AUGMENTED_ASSIGNMENT(_Op, _Name)
- #define _DEFINE_VALARRAY_EXPR_AUGMENTED_ASSIGNMENT(_Op, _Name)
- #define _DEFINE_VALARRAY_UNARY_OPERATOR(_Op, _Name)
- #define _GLIBCXX_VALARRAY